linux build broken #611

Closed
l3iggs opened this Issue Mar 6, 2012 · 7 comments

5 participants

@l3iggs

building commit 551636f
under Ubuntu 11.10
...
Making all in Nautilus
MCS ../../bin/SparkleShare.exe
./SparkleController.cs(26,38): error CS0246: The type or namespace name SparkleControllerBase' could not be found. Are you missing a using directive or an assembly reference?
./SparkleAbout.cs(27,16): error CS0246: The type or namespace name
SparkleAboutController' could not be found. Are you missing a using directive or an assembly reference?
./SparkleBubbles.cs(27,16): error CS0246: The type or namespace name SparkleBubblesController' could not be found. Are you missing a using directive or an assembly reference?
./SparkleController.cs(29,32): error CS0115:
SparkleShare.SparkleController.PluginsPath' is marked as an override but no suitable property found to override
./SparkleController.cs(43,30): error CS0115: SparkleShare.SparkleController.CreateStartupItem()' is marked as an override but no suitable method found to override
./SparkleController.cs(76,30): error CS0115:
SparkleShare.SparkleController.InstallProtocolHandler()' is marked as an override but no suitable method found to override
./SparkleController.cs(108,30): error CS0115: SparkleShare.SparkleController.AddToBookmarks()' is marked as an override but no suitable method found to override
./SparkleController.cs(132,30): error CS0115:
SparkleShare.SparkleController.CreateSparkleShareFolder()' is marked as an override but no suitable method found to override
./SparkleController.cs(169,32): error CS0115: SparkleShare.SparkleController.EventLogHTML' is marked as an override but no suitable property found to override
./SparkleController.cs(187,32): error CS0115:
SparkleShare.SparkleController.DayEntryHTML' is marked as an override but no suitable property found to override
./SparkleController.cs(197,32): error CS0115: SparkleShare.SparkleController.EventEntryHTML' is marked as an override but no suitable property found to override
./SparkleController.cs(207,30): error CS0115:
SparkleShare.SparkleController.OpenSparkleShareFolder(string)' is marked as an override but no suitable method found to override
./SparkleController.cs(218,30): error CS0115: SparkleShare.SparkleController.OpenFile(string)' is marked as an override but no suitable method found to override
./SparkleEventLog.cs(30,16): error CS0246: The type or namespace name
SparkleEventLogController' could not be found. Are you missing a using directive or an assembly reference?
./SparkleSetup.cs(32,16): error CS0246: The type or namespace name SparkleSetupController' could not be found. Are you missing a using directive or an assembly reference?
./SparkleStatusIcon.cs(34,16): error CS0246: The type or namespace name
SparkleStatusIconController' could not be found. Are you missing a using directive or an assembly reference?
Compilation failed: 16 error(s), 0 warnings

@mstuermer

building commit: 97d8bea

I do confirm above mentioned issue, it is still there (Gentoo/Mono 2.10.x).

@hbons hbons added a commit that closed this issue Mar 12, 2012
@hbons Fix build. Closes #611 e075823
@hbons hbons closed this in e075823 Mar 12, 2012
@kyak

Still errors:

Making all in Nautilus
MCS ../../bin/SparkleShare.exe
./Program.cs(31,23): error CS0246: The type or namespace name SparkleController' could not be found. Are you missing a using directive or an assembly reference?
./Program.cs(32,23): error CS0246: The type or namespace name
SparkleUI' could not be found. Are you missing a using directive or an assembly reference?
Compilation failed: 2 error(s), 0 warnings

@bechtoldt

same compiling errors here:

log: http://codepad.org/FQoZvJdd

system: 2.6.32-5-amd64 Linux Mint Debian Edition (based on squeeze/sid)

@bechtoldt

Is it possible to get SparkleShare compiled on Linux in version > 0.2 at all? I can't.

Please reopen this ticket. Do you need any further information?

@hbons
Owner

@bechtoldt yes, mono/sparkleshare/os versions

@bechtoldt

Compiling it currently on another system:

Using the current SparkleShare Git repo.

2.6.39-2-486 Linux Mint Debian Edition (based on squeeze/sid)

Mono Version: http://codepad.org/k1QBzjLO
GNOME nautilus 2.30.1

GCC Version:
http://codepad.org/4QRdGLlg

./autogen.sh
http://codepad.org/CkFwrlJU

make
http://codepad.org/vwwMq4tr

@hbons
Owner

@bechtoldt try using mono 2.8?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment